# vim: set ft=spec: -*- rpm-spec -*-

%define plugname engines

Name: rails-plugin-engines
Version: 2.2.2
Release: alt3

Summary: The Rails Engines plugin
License: MIT
Group: Development/Ruby
Url: http://rails-engines.org/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %plugname-%version.tar
Patch: %plugname-%version-%release.patch

PreReq: ruby-railties >= 2.1.0-alt2

# Automatically added by buildreq on Sat Jul 25 2009 (-bi)
BuildRequires: rails-plugin-exception_notification rpm-build-ruby ruby-activerecord-sqlite3-adapter ruby-racc-runtime ruby-rails ruby-tool-rdoc

%description
The engines plugin enhances Rails' own plugin framework, making it
simple to share controllers, helpers, models, public assets, routes
and migrations in plugins.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -q -n %plugname-%version
%patch -p1

%build
RUBYOPT="-I%_builddir/%plugname-%version/lib"; export RUBYOPT
%rake test

%install
mkdir -p %buildroot%_datadir/rails/plugins/%plugname
mkdir -p %buildroot%ruby_sitelibdir/engines
cp -vrp about.yml init.rb lib/ generators/ tasks/ %buildroot%_datadir/rails/plugins/%plugname/
cp -vrp boot.rb %buildroot%ruby_sitelibdir/engines
%rdoc lib/

%add_findreq_skiplist %_datadir/rails/plugins/%plugname/generators/templates/*

%files
%doc README
%ruby_sitelibdir/*
%_datadir/rails/plugins/%plugname

%files doc
%ruby_ri_sitedir/Engines*

%changelog
* Sat Oct 17 2009 Alexey I. Froloff <raorn@altlinux.org> 2.2.2-alt3
- [2.2.2-21-gfa09539]
- Enabled tests

* Mon Jul 27 2009 Alexey I. Froloff <raorn@altlinux.org> 2.2.2-alt2
- Moved modules to plugin diretory to enable Rails autoload function.

* Sat Jul 25 2009 Alexey I. Froloff <raorn@altlinux.org> 2.2.2-alt1
- Built for Sisyphus (2.2.2-19-gbc5cd97)

